# class ISDNQ921Passive | Stateless pasive ISDN Q.921 implementation on top of a hardware interface. More...
Full name | `TelEngine::ISDNQ921Passive`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::ISDNLayer2 [public ], TelEngine::SignallingDumpable [public ], TelEngine::SignallingReceiver [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ISDNQ921Passive (const NamedList& params, const char* name = 0)
- virtual ~ISDNQ921Passive ()
- virtual void cleanup ()
- virtual bool initialize (const NamedList* config)
- inline void setDebug (bool printFrames, bool extendedDebug)

#### Protected Methods

- virtual void destroyed ()
- virtual void timerTick (const Time& when)
- virtual bool receivedPacket (const DataBlock& packet)
- virtual bool notify (SignallingInterface::Notification event)

## Detailed Description

Q.921 ISDN Layer 2 pasive (stateless) implementation on top of a hardware HDLC interface

ISDNQ921Passive (const NamedList& params, const char* name = 0) | ### ISDNQ921Passive

Constructor Initialize this object and the component

Parameters:

params | Layer's and TelEngine::ISDNLayer2 parameters
name | Name of this component

~ISDNQ921Passive () | ### ~ISDNQ921Passive

[virtual]

Destructor

void cleanup () | ### cleanup

[virtual]

Emergency release Reset all data. Set state to 'Released' This method is thread safe

Reimplemented from ISDNLayer2.

bool initialize (const NamedList* config) | ### initialize

[virtual]

Configure and initialize the passive Q.921 and its interface

Parameters:

config | Optional configuration parameters override

Returns: True if Q.921 and the interface were initialized properly

Reimplemented from SignallingComponent.

inline void setDebug (bool printFrames, bool extendedDebug) | ### setDebug

Set debug data of this layer

Parameters:

printFrames | Enable/disable frame printing on output
extendedDebug | Enable/disable hex data dump if print frames is enabled

void destroyed () | ### destroyed

[protected virtual]

Detach links. Disposes memory

Reimplemented from SignallingComponent.

void timerTick (const Time& when) | ### timerTick

[protected virtual]

Method called periodically to check timeouts This method is thread safe

Parameters:

when | Time to use as computing base for events and timeouts

Reimplemented from SignallingComponent.

bool receivedPacket (const DataBlock& packet) | ### receivedPacket

[protected virtual]

Process a packet received by the receiver's interface This method is thread safe

Parameters:

packet | The received packet

Returns: True if message was successfully processed

Reimplemented from SignallingReceiver.

bool notify (SignallingInterface::Notification event) | ### notify

[protected virtual]

Process a notification generated by the attached interface This method is thread safe

Parameters:

event | Notification event reported by the interface

Returns: True if notification was processed

Reimplemented from SignallingReceiver.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.